Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface AbstractScheduledListener

All Superinterfaces:
  Listener, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Subinterfaces:
  FsListenerDocument.FsListener, FtpListenerDocument.FtpListener, ScheduledListenerDocument.ScheduledListener

All Known Implementing Classes:
  AbstractScheduledListenerImpl, FsListenerDocumentImpl.FsListenerImpl, FtpListenerDocumentImpl.FtpListenerImpl, ScheduledListenerDocumentImpl.ScheduledListenerImpl

    public interface AbstractScheduledListener

extends Listener

An XML abstract-scheduled-listener(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `AbstractScheduledListener.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getPollFrequencySeconds()` Gets the "poll-frequency-seconds" attribute
`int` | `getScheduleFrequency()` Gets the "schedule-frequency" attribute
`java.lang.String` | `getScheduleidref()` Gets the "scheduleidref" attribute
`boolean` | `isSetPollFrequencySeconds()` True if has "poll-frequency-seconds" attribute
`boolean` | `isSetScheduleFrequency()` True if has "schedule-frequency" attribute
`boolean` | `isSetScheduleidref()` True if has "scheduleidref" attribute
`void` | `setPollFrequencySeconds(int pollFrequencySeconds)` Sets the "poll-frequency-seconds" attribute
`void` | `setScheduleFrequency(int scheduleFrequency)` Sets the "schedule-frequency" attribute
`void` | `setScheduleidref(java.lang.String scheduleidref)` Sets the "scheduleidref" attribute
`void` | `unsetPollFrequencySeconds()` Unsets the "poll-frequency-seconds" attribute
`void` | `unsetScheduleFrequency()` Unsets the "schedule-frequency" attribute
`void` | `unsetScheduleidref()` Unsets the "scheduleidref" attribute
`org.apache.xmlbeans.XmlInt` | `xgetPollFrequencySeconds()` Gets (as xml) the "poll-frequency-seconds" attribute
`org.apache.xmlbeans.XmlInt` | `xgetScheduleFrequency()` Gets (as xml) the "schedule-frequency" attribute
`org.apache.xmlbeans.XmlString` | `xgetScheduleidref()` Gets (as xml) the "scheduleidref" attribute
`void` | `xsetPollFrequencySeconds(org.apache.xmlbeans.XmlInt pollFrequencySeconds)` Sets (as xml) the "poll-frequency-seconds" attribute
`void` | `xsetScheduleFrequency(org.apache.xmlbeans.XmlInt scheduleFrequency)` Sets (as xml) the "schedule-frequency" attribute
`void` | `xsetScheduleidref(org.apache.xmlbeans.XmlString scheduleidref)` Sets (as xml) the "scheduleidref" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Listener
`addNewProperty, getBusidref, getIsGateway, getMaxThreads, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, isSetBusidref, isSetIsGateway, isSetMaxThreads, removeProperty, setBusidref, setIsGateway, setMaxThreads, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, unsetBusidref, unsetIsGateway, unsetMaxThreads, xgetBusidref, xgetIsGateway, xgetMaxThreads, xgetName, xsetBusidref, xsetIsGateway, xsetMaxThreads, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getPollFrequencySeconds

    int getPollFrequencySeconds()

  Gets the "poll-frequency-seconds" attribute

### xgetPollFrequencySeconds

    org.apache.xmlbeans.XmlInt xgetPollFrequencySeconds()

  Gets (as xml) the "poll-frequency-seconds" attribute

### isSetPollFrequencySeconds

    boolean isSetPollFrequencySeconds()

  True if has "poll-frequency-seconds" attribute

### setPollFrequencySeconds

    void setPollFrequencySeconds(int pollFrequencySeconds)

  Sets the "poll-frequency-seconds" attribute

### xsetPollFrequencySeconds

    void xsetPollFrequencySeconds(org.apache.xmlbeans.XmlInt pollFrequencySeconds)

  Sets (as xml) the "poll-frequency-seconds" attribute

### unsetPollFrequencySeconds

    void unsetPollFrequencySeconds()

  Unsets the "poll-frequency-seconds" attribute

### getScheduleFrequency

    int getScheduleFrequency()

  Gets the "schedule-frequency" attribute

### xgetScheduleFrequency

    org.apache.xmlbeans.XmlInt xgetScheduleFrequency()

  Gets (as xml) the "schedule-frequency" attribute

### isSetScheduleFrequency

    boolean isSetScheduleFrequency()

  True if has "schedule-frequency" attribute

### setScheduleFrequency

    void setScheduleFrequency(int scheduleFrequency)

  Sets the "schedule-frequency" attribute

### xsetScheduleFrequency

    void xsetScheduleFrequency(org.apache.xmlbeans.XmlInt scheduleFrequency)

  Sets (as xml) the "schedule-frequency" attribute

### unsetScheduleFrequency

    void unsetScheduleFrequency()

  Unsets the "schedule-frequency" attribute

### getScheduleidref

    java.lang.String getScheduleidref()

  Gets the "scheduleidref" attribute

### xgetScheduleidref

    org.apache.xmlbeans.XmlString xgetScheduleidref()

  Gets (as xml) the "scheduleidref" attribute

### isSetScheduleidref

    boolean isSetScheduleidref()

  True if has "scheduleidref" attribute

### setScheduleidref

    void setScheduleidref(java.lang.String scheduleidref)

  Sets the "scheduleidref" attribute

### xsetScheduleidref

    void xsetScheduleidref(org.apache.xmlbeans.XmlString scheduleidref)

  Sets (as xml) the "scheduleidref" attribute

### unsetScheduleidref

    void unsetScheduleidref()

  Unsets the "scheduleidref" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD